# Retrieve campaign

## Request

| Method | URL                                             |
| ------ | ----------------------------------------------- |
| `GET`  | `https://api.getrewardful.com/v1/campaigns/:id` |

### Example

```
curl https://api.getrewardful.com/v1/campaigns/ceaef6d9-767e-49aa-a6ab-46c02aa79604 \
  -u YOUR_API_SECRET:
```

## Response

{% tabs %}
{% tab title="Success" %}

| Response code | Body                                                                                                |
| ------------- | --------------------------------------------------------------------------------------------------- |
| `200`         | A [campaign object](https://developers.rewardful.com/rest-api/campaigns/the-campaign-object) (JSON) |
| {% endtab %}  |                                                                                                     |

{% tab title="Failures" %}

### Not found

| Response code | Body                              |
| ------------- | --------------------------------- |
| `404`         | JSON object describing the error. |

```javascript
{  "error": "Campaign not found: " }
```

### Authentication failure

| Response code | Body                                       |
| ------------- | ------------------------------------------ |
| `401`         | Description of the authentication failure. |

```javascript
{  "error": "Invalid API Secret." }
```

{% endtab %}
{% endtabs %}
